#
# spec file for package perl-AnyEvent-HTTP
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-AnyEvent-HTTP
Version:        2.22
Release:        5.1
#Upstream: CHECK(GPL-1.0+ or Artistic-1.0)
%define cpan_name AnyEvent-HTTP
Summary:        Simple but Non-Blocking Http/Https Client
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/AnyEvent-HTTP/
Source0:        http://www.cpan.org/authors/id/M/ML/MLEHMANN/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(AnyEvent) >= 5.33
BuildRequires:  perl(common::sense) >= 3.3
Requires:       perl(AnyEvent) >= 5.33
Requires:       perl(common::sense) >= 3.3
Recommends:     perl(URI)
%{perl_requires}

%description
This module is an the AnyEvent manpage user, you need to make sure that you
use and run a supported event loop.

This module implements a simple, stateless and non-blocking HTTP client. It
supports GET, POST and other request methods, cookies and more, all on a
very low level. It can follow redirects, supports proxies, and
automatically limits the number of connections to the values specified in
the RFC.

It should generally be a "good client" that is enough for most HTTP tasks.
Simple tasks should be simple, but complex tasks should still be possible
as the user retains control over request and response headers.

The caller is responsible for authentication management, cookies (if the
simplistic implementation in this module doesn't suffice), referer and
other high-level protocol details for which this module offers only limited
support.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes COPYING README

%changelog
* Thu May 14 2015 coolo@suse.com
- updated to 2.22
  see /usr/share/doc/packages/perl-AnyEvent-HTTP/Changes
* Fri Jul 25 2014 coolo@suse.com
- updated to 2.21
  - correctly keep body when redirecting POSTs, instead of
    deleting them.
  2.2  Mon Jun  9 01:31:46 CEST 2014
  - connection header was malformed (patch by Raphael Geissert).
  - add lots of known idempotent methods from httpbis.
  - implement relative location headers (rfc 7231), with fallback on URI.
  - add support for status code 308 from rfc 7238.
  - recommend URI.
* Mon Jun  3 2013 coolo@suse.com
- updated to 2.15
  - use the recurse parameter to also limit the number of retries to be
    done, avodiing endless loops with broken servers, as reported
    by Carl Chambers.
* Fri May 25 2012 coolo@suse.com
- updated to 2.14
  - Time::Local::timegm croaks on out-of-range values. Don't let
    this disturb AnyEvent::HTTP (reported by: tell me, I forgot...).
* Thu Aug 25 2011 chris@computersalat.de
- update to 2.13
  - garbled chunked responses caused AnyEvent::HTTP to malfunction
    (patch by Dmitri Melikyan).
  - fix GET => HEAD in one case in the documentation (James Bromberger).
- fix deps
  * perl(AnyEvent) >= 5.33
  * perl(common::sense) >= 3.3
* Tue Jun 14 2011 coolo@novell.com
- updated to 2.12
  - fix a possible 'Can't call method "destroyed"' error (which would
    have been reported by Carl Chambers).
  - the keepalive session cache wouldn't take port and scheme into account
    when reusing connection - potentially causing information leaks
    (reported by Nick Kostirya).
  - bump AnyEvent dependency version (reported by Richard Harris).
  - the keepalive and persistent parameters were actually named
    differently in the code - they now work as documented.
  - fix a bug where callbacks would sometimes never be called when
    the request timeout is near or below the persistent connection
    timeout (testcase by Cindy Wang).
  - destroying the guard would have no effect when a request was
    recursing or being retired.
  - "proxy => undef" now overrides any global proxy when specified.
  - require scheme in urls, also use a stricter match to match urls,
    leading or trailing garbage is no longer tolerated.
  - EXPERIMENTAL: allow '=' in cookie values.
  - do not lowercase cookie names, only parameter names.
  - add missing dependency on common::sense.
  - add a resume download example.
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Thu Oct  7 2010 pascal.bleser@opensuse.org
- initial package (1.46)
